GuideLab API

Reassign files between orders

Moves files from one order to another, updating order item and file requirement associations. S3 objects stay in place — only DB records are updated.

POST
/files/reassign

Moves files from one order to another, updating order item and file requirement associations. S3 objects stay in place — only DB records are updated.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/files/reassign" \  -H "Content-Type: application/json" \  -d '{    "fromOrderId": "string",    "toOrderId": "string",    "assignments": [      {        "fileId": "string"      }    ]  }'
{  "success": true,  "reassigned": 0}
Empty
Empty
Empty
Empty